### Constructor

# FwupdPlugin IOChannel new_file

since: 2.0.0

#### Declaration [src]

    FuIOChannel*
    fu_io_channel_new_file (
      const gchar* filename,
      FuIoChannelOpenFlags open_flags,
      GError** error
    )

#### Description [src]

Creates a new object to write and/or read from.

Available since: 2.0.0

#### Parameters

`filename`

  Type: `const gchar*`

  Device file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`open_flags`

  Type: `FuIoChannelOpenFlags`

  Some `FuIoChannelOpenFlags` typically `FU_IO_CHANNEL_OPEN_FLAG_READ`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuIOChannel`

A `FuIOChannel`.

The caller of the function takes ownership of the data, and is responsible for freeing it.